package org.ow2.orchestra.designer {
  import mx.resources.ResourceBundle;
  import mx.resources.ResourceManager;
  import mx.utils.StringUtil;

  /**
   * Error class thrown when a Cairngorm error occurs.
   * Used to substitute data in error messages.
   */
  public class DesignerError extends Error {

    [ResourceBundle("DesignerErrorMessages")]
    private static var resourceBundle:ResourceBundle;

    public function DesignerError(errorCode:String, ... rest) {
      super(formatMessage(errorCode, rest.toString()));
    }

    private function formatMessage(errorCode:String, ... rest):String {
      var message:String = StringUtil.substitute(
              ResourceManager.getInstance().getString(resourceBundle.bundleName, errorCode), rest);

      return StringUtil.substitute("{0}: {1}", errorCode, message);
    }

  }
}
