/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.orchestra.designer.events {
  import org.ow2.orchestra.designer.bpmn.model.AbstractElementWithPosition;
  import org.ow2.orchestra.designer.model.ProcessEditorModel;

  public class SequenceFlowEvent extends ProcessEvent {
    /**
     * Update list of selected process element.
     */
    public static const FLOW_CREATION:String = "SequenceFlowEvent_Creation";

    private var _sourceElement:AbstractElementWithPosition;

    private var _targetElement:AbstractElementWithPosition;


    public function SequenceFlowEvent(type:String, sourceElement:AbstractElementWithPosition, targetElement:AbstractElementWithPosition, processEditorModel:ProcessEditorModel, bubbles:Boolean = false, cancelable:Boolean = false) {
      super(type, processEditorModel, bubbles, cancelable);
      _sourceElement = sourceElement;
      _targetElement = targetElement;

    }

    public function get sourceElement():AbstractElementWithPosition {
      return _sourceElement;
    }

    public function get targetElement():AbstractElementWithPosition {
      return _targetElement;
    }
  }
}
