/*
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.orchestra.designer.view.properties {
import mx.containers.Box;
import mx.events.FlexEvent;

/**
 * Item renderer for the "Value" column of the propertyView
 */
public class PropertyValueRenderer extends Box {

  public function PropertyValueRenderer() {
  }

  /**
   * Render item for the row.
   * The propertyAsObject object is the row object (Property class).
   */
  override public function set data(propertyAsObject:Object):void {
    super.data = propertyAsObject;
    this.removeAllChildren();
    if (propertyAsObject != null) {
      if (propertyAsObject is IProperty) {
        var property:IProperty = propertyAsObject as IProperty;
        this.addChild(property.itemRenderer);
      }
    }
    // Dispatch the dataChange event.
    dispatchEvent(new FlexEvent(FlexEvent.DATA_CHANGE));
  }

}
}